r2491 - in jhalfs/branches/experimental: . LFS common

manuel at linuxfromscratch.org manuel at linuxfromscratch.org
Sat Apr 8 07:03:00 PDT 2006


Author: manuel
Date: 2006-04-08 08:02:59 -0600 (Sat, 08 Apr 2006)
New Revision: 2491

Modified:
   jhalfs/branches/experimental/LFS/master.sh
   jhalfs/branches/experimental/common/func_ICA.sh
   jhalfs/branches/experimental/master.sh
Log:
Moved the ICA targets creation to func_ICA.sh

Modified: jhalfs/branches/experimental/LFS/master.sh
===================================================================
--- jhalfs/branches/experimental/LFS/master.sh	2006-04-08 12:31:59 UTC (rev 2490)
+++ jhalfs/branches/experimental/LFS/master.sh	2006-04-08 14:02:59 UTC (rev 2491)
@@ -399,14 +399,8 @@
 ) >> $MKFILE
 
   # Add the ICA targets
-  [[ "$RUN_ICA" != "0" ]] && \
-(
-    cat << EOF
-ICA_rebuild:  $ICA_rebuild
+  [[ "$RUN_ICA" != "0" ]] && wrt_ica_targets "$ICA_rebuild"
 
-EOF
-) >> $MKFILE
-
   # Bring over the items from the Makefile.tmp
   cat $MKFILE.tmp >> $MKFILE
   rm $MKFILE.tmp

Modified: jhalfs/branches/experimental/common/func_ICA.sh
===================================================================
--- jhalfs/branches/experimental/common/func_ICA.sh	2006-04-08 12:31:59 UTC (rev 2490)
+++ jhalfs/branches/experimental/common/func_ICA.sh	2006-04-08 14:02:59 UTC (rev 2491)
@@ -1,9 +1,21 @@
 # $Id$
 
+#----------------------------------#
+wrt_ica_targets() {                #
+#----------------------------------#
+  local ICA_rebuild=$1
+(
+    cat << EOF
+ICA_rebuild:  $ICA_rebuild
+
+EOF
+) >> $MKFILE
+}
+
 # Acknowledgment:
 #  The following code is a modified version of an original work written by
-#  Greg Schafer for the "DIY Linux" project and is included here with his 
-#  permission. 
+#  Greg Schafer for the "DIY Linux" project and is included here with his
+#  permission.
 #  ref: http://www.diy-linux.org
 #
 #
@@ -32,15 +44,15 @@
 #----------------------------------#
 : <<inline_doc
     desc:
-    
-    usage:	
 
-    input vars: 
+    usage:
+
+    input vars:
     externals:  --
     modifies:   --
     returns:    --
-    on error:	
-    on success: 
+    on error:
+    on success:
 inline_doc
 
   local CMP_DIR F L BN
@@ -138,7 +150,7 @@
 #----------------------------------#
 : <<inline_doc
     desc:
-    
+
     usage:	do_ica_work 1 2
     		do_ica_work 2 3
 
@@ -147,8 +159,8 @@
     externals:  --
     modifies:   --
     returns:    --
-    on error:	
-    on success: 
+    on error:
+    on success:
 inline_doc
 
   local ICA_DIR="${SCRATCH_DIR}/cmp"

Modified: jhalfs/branches/experimental/master.sh
===================================================================
--- jhalfs/branches/experimental/master.sh	2006-04-08 12:31:59 UTC (rev 2490)
+++ jhalfs/branches/experimental/master.sh	2006-04-08 14:02:59 UTC (rev 2491)
@@ -51,12 +51,16 @@
 [[ $? > 0 ]] && echo " $COMMON_DIR/common-functions did not load.." && exit
 [[ $VERBOSITY > 0 ]] && echo "OK"
 #
-
 [[ $VERBOSITY > 0 ]] && echo -n "Loading masterscript conf..."
 source $COMMON_DIR/config
 [[ $? > 0 ]] && echo "$COMMON_DIR/conf did not load.." && exit
 [[ $VERBOSITY > 0 ]] && echo "OK"
 #
+[[ $VERBOSITY > 0 ]] && echo -n "Loading ICA module..."
+source $COMMON_DIR/func_ICA.sh
+[[ $? > 0 ]] && echo "$COMMON_DIR/func_ICA.sh did not load.." && exit
+[[ $VERBOSITY > 0 ]] && echo "OK"
+#
 [[ $VERBOSITY > 0 ]] && echo -n "Loading config module <$MODULE_CONFIG>..."
 source $MODULE_CONFIG
 [[ $? > 0 ]] && echo "$MODULE_CONFIG did not load.." && exit 1




More information about the alfs-log mailing list